,

解决OEL6.1上安装Oracle数据库11gR2的“Error in invoking target ‘mkldflags ntcontab.o nnfge.o’ of makefile”错误

在虚拟机上安装Oracle数据库11gR2,当运行到“Link binaries”环节时出现“Error in invoking target ‘mkldflags ntcontab.o nnfge.o’ of makefile”错误,折腾了老半天,发现是缺少gcc运行库引起。

安装时按照Oracle Database 11g Release 2 (11.2) Installation On Oracle Linux 6 一文介绍的步骤进行,但死活都出错。到Metalink查答案,确认是gcc运行环境引起的,只好一个个包对过去。发现在是文章中是以着安装“rpm -Uvh gcc-4*x86_64*”,而系统上的包名应该是“gcc.x86_64 0:4.4.5-6.el6”,安装该包后重试,安装程序正常运行。

教训:如果出错,运行“gcc –version ”,会显示当前的gcc版本信息,运行“rpm -qa –queryformat “%{NAME}-%{VERSION}-%{RELEASE} (%{ARCH})\n” | grep glibc-devel
”结果显示如下:

glibc-devel-2.12-1.25.el6 (x86_64)
glibc-devel-2.12-1.25.el6 (i686)

0 回复

发表评论

Want to join the discussion?
Feel free to contribute!

发表回复

您的电子邮箱地址不会被公开。 必填项已用*标注